FIX::IncorrectMessageStructure Struct Reference

Message is not structured correctly. More...

`#include <Exceptions.h>`

Inheritance diagram for FIX::IncorrectMessageStructure:
[legend]
Collaboration diagram for FIX::IncorrectMessageStructure:
[legend]

## Public Member Functions

| IncorrectMessageStructure (const std::string &what="")
Public Member Functions inherited from FIX::Exception
| Exception (const std::string &t, const std::string &d)
| ~Exception () throw ()

## Additional Inherited Members

Public Attributes inherited from FIX::Exception
std::string | type
std::string | detail

## Detailed Description

Message is not structured correctly.

Definition at line 172 of file Exceptions.h.

## Constructor & Destructor Documentation

## IncorrectMessageStructure()

FIX::IncorrectMessageStructure::IncorrectMessageStructure | ( | const std::string & | what = `""` | ) |

inline

Definition at line 174 of file Exceptions.h.

: public Exception

References FIX::UnsupportedMessageType::UnsupportedMessageType().

Referenced by FIX::IncorrectTagValue::IncorrectTagValue().

The documentation for this struct was generated from the following file:

- Exceptions.h

FIX::Exception::Exception
Exception(const std::string &t, const std::string &d)
Definition: Exceptions.h:69